Package com.macrofocus.order

# Class DefaultVisibleOrder<E>

java.lang.Object
com.macrofocus.order.AbstractOrder<E>
com.macrofocus.order.DefaultVisibleOrder<E>

All Implemented Interfaces:
  `MutableOrder<E>`, `MutableVisibleOrder<E>`, `Order<E>`, `VisibleOrder<E>`, `Iterable<E>`

public class DefaultVisibleOrder<E> extends AbstractOrder<E> implements MutableVisibleOrder<E>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultVisibleOrder(E... elements)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(E axisModel)`
  `E`
  `get(int index)`
  `E`
  `getAll(int index)`
  `void`
  `hide(E... elements)`
  `void`
  `hide(Iterable<E> elements)`
  `int`
  `indexOf(E element)`
  `boolean`
  `isVisible(E element)`
  `Iterable<E>`
  `iterableAll()`
  `Iterator<E>`
  `iterator()`
  `void`
  `moveToFirst(E element)`
  `void`
  `moveToNext(E element, boolean skipHidden)`
  `void`
  `moveToPrevious(E element, boolean skipHidden)`
  `E`
  `next(E element)`
  `E`
  `previous(E element)`
  `void`
  `remove(E axisModel)`
  `void`
  `set(Iterable<E> all, Iterable<E> visible)`
  `void`
  `setOrder(List<E> elements)`
  `void`
  `setVisible(E element, boolean visible)`
  `void`
  `show(E... elements)`
  `void`
  `show(Iterable<E> elements)`
  `int`
  `size()`
  `int`
  `sizeAll()`
  `void`
  `sort(Comparator<E> comparator)`
  `String`
  `toString()`

  ### Methods inherited from class com.macrofocus.order.AbstractOrder

  `addOrderListener, addWeakOrderListener, notifyOrderAdded, notifyOrderChanged, notifyOrderRemoved, notifyOrderVisibility, removeFilterListeners, removeOrderListener`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

  ### Methods inherited from interface com.macrofocus.order.Order

  `addOrderListener, addWeakOrderListener, removeOrderListener`

- ## Constructor Details

  - ### DefaultVisibleOrder

    public DefaultVisibleOrder(E... elements)

- ## Method Details

  - ### get

    public E get(int index)
    Specified by:
      `get` in interface `Order<E>`

  - ### size

    public int size()
    Specified by:
      `size` in interface `Order<E>`

  - ### indexOf

    public int indexOf(E element)
    Specified by:
      `indexOf` in interface `Order<E>`

  - ### previous

    public E previous(E element)
    Specified by:
      `previous` in interface `Order<E>`

  - ### next

    public E next(E element)
    Specified by:
      `next` in interface `Order<E>`

  - ### iterator

    public Iterator<E> iterator()
    Specified by:
      `iterator` in interface `Iterable<E>`

  - ### sizeAll

    public int sizeAll()
    Specified by:
      `sizeAll` in interface `VisibleOrder<E>`

  - ### getAll

    public E getAll(int index)
    Specified by:
      `getAll` in interface `VisibleOrder<E>`

  - ### iterableAll

    public Iterable<E> iterableAll()
    Specified by:
      `iterableAll` in interface `VisibleOrder<E>`

  - ### moveToFirst

    public void moveToFirst(E element)
    Specified by:
      `moveToFirst` in interface `MutableOrder<E>`

  - ### moveToPrevious

    public void moveToPrevious(E element, boolean skipHidden)
    Specified by:
      `moveToPrevious` in interface `MutableOrder<E>`

  - ### moveToNext

    public void moveToNext(E element, boolean skipHidden)
    Specified by:
      `moveToNext` in interface `MutableOrder<E>`

  - ### setOrder

    public void setOrder(List<E> elements)
    Specified by:
      `setOrder` in interface `MutableOrder<E>`

  - ### sort

    public void sort(Comparator<E> comparator)
    Specified by:
      `sort` in interface `MutableOrder<E>`

  - ### set

    public void set(Iterable<E> all, Iterable<E> visible)

  - ### add

    public void add(E axisModel)
    Specified by:
      `add` in interface `MutableOrder<E>`

  - ### remove

    public void remove(E axisModel)
    Specified by:
      `remove` in interface `MutableOrder<E>`

  - ### setVisible

    public void setVisible(E element, boolean visible)
    Specified by:
      `setVisible` in interface `MutableVisibleOrder<E>`

  - ### show

    public void show(Iterable<E> elements)
    Specified by:
      `show` in interface `MutableVisibleOrder<E>`

  - ### hide

    public void hide(Iterable<E> elements)
    Specified by:
      `hide` in interface `MutableVisibleOrder<E>`

  - ### show

    public void show(E... elements)
    Specified by:
      `show` in interface `MutableVisibleOrder<E>`

  - ### hide

    public void hide(E... elements)
    Specified by:
      `hide` in interface `MutableVisibleOrder<E>`

  - ### isVisible

    public boolean isVisible(E element)
    Specified by:
      `isVisible` in interface `VisibleOrder<E>`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`